{% extends 'base.html.twig' %}

{% block title %}SocialAide{% endblock %}

{% block body %}

    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="mb-0">المساعدات الاجتماعية</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">الصفحة الرئيسية</a></li>
                        <li class="breadcrumb-item active">المساعدات الاجتماعية</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>

    <div class="row mb-3">
        <div class="col-md-12">
            <a href="{{ path('social_aide_edit', {'id': social_aide.id}) }}"
               class="btn btn-outline-warning waves-effect waves-light">
                تعديل<i class="uil uil-arrow-right ml-2"></i>
            </a>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-body">
                        <div class="card-body">
                            <div class="row mb-3">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="validationCustom03">التاريخ</label>
                                        <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                            {{ social_aide.date|date("m/d/Y") }}
                                        </p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="validationCustom04"> اسم المساعدة الاجتماعية</label>
                                        <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                            {{ social_aide.nom }}
                                        </p>
                                    </div>
                                </div>
                                {% if social_aide.categorieVisee|length >0 %}
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="validationCustom05">الفئة المستهدفة </label>
                                        <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                            {{ social_aide.categorieVisee }}
                                        </p>
                                    </div>
                                </div>
                                {% endif %}
                                {% if social_aide.description|length >0 %}
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="validationCustom05">   الوصف</label>
                                        <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                            {{ social_aide.description }}
                                        </p>
                                    </div>
                                </div>
                                {% endif %}
                            </div>


                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div>

    <div class="row">
        <div class="col-md-3 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalDossier }}</span></h4>
                        <p class="text-muted mb-0">مجموع العائلات التي إستفادة </p>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-3 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalDossierNot }}</span></h4>
                        <p class="text-muted mb-0">مجموع العائلات الغير مستفيدة </p>
                    </div>

                </div>
            </div>
        </div>

   <div class="col-md-3 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalDossierNoValid }}</span></h4>
                        <p class="text-muted mb-0">مجموع العائلات الغير مستفيدة (عائلات في الانتظار)</p>
                    </div>

                </div>
            </div>
        </div>

            <div class="col-md-3 col-xxl-12 mb-3 pr-md-2">
            <div class="card">
                <div class="card-body">
                    <div>
                        <h4 class="mb-1 mt-1"><span data-plugin="counterup">{{ totalDossierNotValid }}</span></h4>
                        <p class="text-muted mb-0">مجموع العائلات الغير مستفيدة (عائلات في الانتظار) </p>
                    </div>

                </div>
            </div>
        </div>


    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-body">
                        <div class="card-body">
                            <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                <tr>
                                    <th>الرقم</th>
                                    <th>الاسم العائلي</th>
                                    <th>تاريخ إستلام المساعدة</th>


                                </tr>
                                </thead>
                                <tbody>

                                {% for lin in dossiers %}
                                    <tr>
                                        <td>
                                            <a href="" ># {{ lin.dossier.id }}</a>
                                           </td>

                                        <td>
                                          {{ lin.dossier.familleNom }}
                                        </td>
                                        <td>
                                            {{ lin.dossier.date|date("m/d/Y") }}
                                        </td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td colspan="6">no records found</td>
                                    </tr>
                                {% endfor %}

                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div>

   <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-body">
                        <div class="card-body">
                            <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                <tr>
                                    <th>الرقم</th>
                                    <th>الاسم العائلي</th>
                                    <th>تاريخ إستلام المساعدة</th>


                                </tr>
                                </thead>
                                <tbody>
                                {% if dossiersNot|length >0 %}
                                    {% for lin in dossiersNot %}
                                        <tr>
                                            <td>
                                                <a href="" ># {{ lin.id }}</a>
                                            </td>

                                            <td>
                                                {{ lin.familleNom }}
                                            </td>
                                            <td>
                                                {{ lin.date|date("m/d/Y") }}
                                            </td>
                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="6">no records found</td>
                                        </tr>
                                    {% endfor %}
                                {% endif %}
                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div>




    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-body">
                        <div class="card-body">
                            <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                <tr>
                                    <th>الرقم</th>
                                    <th>الاسم العائلي</th>
                                    <th>تاريخ إستلام المساعدة</th>


                                </tr>
                                </thead>
                                <tbody>

                                {% for lin in dossiersNoValid %}
                                    <tr>
                                        <td>
                                            <a href="" ># {{ lin.dossier.id }}</a>
                                        </td>

                                        <td>
                                            {{ lin.dossier.familleNom }}
                                        </td>
                                        <td>
                                            {{ lin.dossier.date|date("m/d/Y") }}
                                        </td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td colspan="6">no records found</td>
                                    </tr>
                                {% endfor %}

                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-body">
                        <div class="card-body">
                            <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                <tr>
                                    <th>الرقم</th>
                                    <th>الاسم العائلي</th>
                                    <th>تاريخ إستلام المساعدة</th>


                                </tr>
                                </thead>
                                <tbody>
                                {% if dossiersNotValid|length >0 %}
                                    {% for lin in dossiersNotValid %}
                                        <tr>
                                            <td>
                                                <a href="" ># {{ lin.id }}</a>
                                            </td>

                                            <td>
                                                {{ lin.familleNom }}
                                            </td>
                                            <td>
                                                {{ lin.date|date("m/d/Y") }}
                                            </td>
                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="6">no records found</td>
                                        </tr>
                                    {% endfor %}
                                {% endif %}
                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div>


{% endblock %}
